## inn2 2.5.3

=== Makefile ===
##  $Id: Makefile 9391 2011-12-26 16:20:32Z iulius $

include Makefile.global

##  All installation directories except for $(PATHRUN), which has a
##  different mode than the rest.
INSTDIRS      = $(PATHNEWS) $(PATHBIN) $(PATHAUTH) $(PATHAUTHRESOLV) \
		$(PATHAUTHPASSWD) $(PATHCONTROL) $(PATHFILTER) \
		$(PATHRNEWS) $(PATHDB) $(PATHDOC) $(PATHETC) $(PATHHTTP) $(PATHLIB) \
		$(PATHLIBPERL) $(PATHLIBPERL)/INN $(PATHDATASHARE) \
		$(PATHMAN) $(MAN1) $(MAN3) $(MAN3PM) $(MAN5) $(MAN8) $(PATHSPOOL) \
		$(PATHTMP) $(PATHARCHIVE) $(PATHARTICLES) $(PATHINCOMING) \
		$(PATHINBAD) $(PATHTAPE) $(PATHOVERVIEW) $(PATHOUTGOING) \
		$(PATHLOG) $(PATHLOGOLD) $(PATHINCLUDE)

##  LIBDIRS are built before PROGDIRS, make update runs in all UPDATEDIRS,
##  and make install runs in all ALLDIRS.  Nothing runs in test except the
##  test target itself and the clean targets.  Currently, include is built
##  before anything else but nothing else runs in it except clean targets.
LIBDIRS     = include lib storage history perl
PROGDIRS    = innd nnrpd innfeed control expire frontends backends authprogs \
              scripts
UPDATEDIRS  = $(LIBDIRS) $(PROGDIRS) doc
ALLDIRS     = $(UPDATEDIRS) samples site
CLEANDIRS   = $(ALLDIRS) tests

##  The directory name and tar file to use when building a release.
TARDIR      = inn-$(VERSION)$(RELEASENUMBER)
TARFILE     = $(TARDIR).tar

##  The directory to use when building a snapshot.
SNAPDIR     = inn-$(SNAPSHOT)-$(SNAPDATE)

##  DISTDIRS gets all directories from the MANIFEST, SNAPDIRS gets the same
##  but for a snapshot, and DISTFILES gets all regular files.  Anything not
##  listed in the MANIFEST will not be included in a distribution.  These are
##  arguments to sed.
DISTDIRS    = -e 1,2d -e '/(Directory)/!d' -e 's/ .*//' -e 's;^;$(TARDIR)/;'
SNAPDIRS    = -e 1,2d -e '/(Directory)/!d' -e 's/ .*//' -e 's;^;$(SNAPDIR)/;'
DISTFILES   = -e 1,2d -e '/(Directory)/d' -e 's/ .*//'


##  Major target -- build everything.  Rather than just looping through
##  all the directories, use a set of parallel rules so that make -j can
##  work on more than one directory at a time.
##  Be careful of a non-GNU make:  after a completed command, it does not
##  necessarily return the script back to the starting directory.
all: all-include all-libraries all-programs
	cd doc     && $(MAKE) all || exit 1 ; cd ..
	cd samples && $(MAKE) all || exit 1 ; cd ..
	cd site    && $(MAKE) all || exit 1 ; cd ..

all-include:			; cd include   && $(MAKE) all

all-libraries:	all-lib all-storage all-history all-perl

all-lib:	all-include	; cd lib       && $(MAKE) all
all-storage:	all-lib		; cd storage   && $(MAKE) library
all-history:	all-storage	; cd history   && $(MAKE) all
all-perl:	all-history	; cd perl      && $(MAKE) all

all-programs:	all-innd all-nnrpd all-innfeed all-control all-expire \
		all-frontends all-backends all-authprogs all-scripts \
		all-store-util

all-authprogs:	all-lib		; cd authprogs && $(MAKE) all
all-backends:	all-libraries	; cd backends  && $(MAKE) all
all-control:			; cd control   && $(MAKE) all
all-expire:	all-libraries	; cd expire    && $(MAKE) all
all-frontends:	all-libraries	; cd frontends && $(MAKE) all
all-innd:	all-libraries	; cd innd      && $(MAKE) all
all-innfeed:	all-libraries	; cd innfeed   && $(MAKE) all
all-nnrpd:	all-libraries	; cd nnrpd     && $(MAKE) all
all-scripts:			; cd scripts   && $(MAKE) all
all-store-util:	all-libraries	; cd storage   && $(MAKE) programs


##  If someone tries to run make before running configure, tell them to run
##  configure first.
Makefile.global:
	@echo 'Run ./configure before running make.  See INSTALL for details.'
	@exit 1


##  Installation rules.  make install installs everything; make update only
##  updates the binaries, scripts, and documentation and leaves config
##  files alone.  make install-root does only the installation that needs
##  to be done as root and can be run after doing the regular install as the
##  news user if the installation directory is news-writable.
install: directories
	@for D in $(ALLDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) install || exit 1 ; cd .. ; \
	done
	@echo ''
	@echo 'If this is a first-time installation, a minimal active file and'
	@echo 'history database have been installed.  Do not forget to update'
	@echo 'your cron entries and configure INN.  See INSTALL for more'
	@echo 'information.'
	@echo ''

directories:
	@chmod +x support/install-sh
	for D in $(INSTDIRS) ; do \
	    support/install-sh $(OWNER) -m 0755 -d $(D)$$D ; \
	done
	support/install-sh $(OWNER) -m 0750 -d $(D)$(PATHRUN)

update: 
	@chmod +x support/install-sh
	@for D in $(UPDATEDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) install || exit 1 ; cd .. ; \
	done
	test -z "$D" && $(PATHBIN)/innupgrade $(PATHAUTHPASSWD)
	test -z "$D" && $(PATHBIN)/innupgrade $(PATHBIN)
	test -z "$D" && $(PATHBIN)/innupgrade $(PATHDOC)
	test -z "$D" && $(PATHBIN)/innupgrade $(PATHETC)
	test -z "$D" && $(PATHBIN)/innupgrade ${PATHFILTER}
	test -z "$D" && $(PATHBIN)/innupgrade $(MAN1)
	test -z "$D" && $(PATHBIN)/innupgrade $(MAN3)
	test -z "$D" && $(PATHBIN)/innupgrade $(MAN5)
	test -z "$D" && $(PATHBIN)/innupgrade $(MAN8)

install-root:
	@chmod +x support/install-sh
	support/install-sh $(OWNER) -m 0755 -d $(D)$(PATHBIN)
	cd backends && $(MAKE) install-root || exit 1 ; cd ..

##  Install a certificate for TLS/SSL support.
cert:
	umask 077 ; \
	$(SSLBIN) req -new -x509 -nodes \
	    -out $(D)$(PATHETC)/cert.pem -days 366 \
	    -keyout $(D)$(PATHETC)/key.pem
	chown $(RUNASUSER) $(D)$(PATHETC)/cert.pem
	chgrp $(RUNASGROUP) $(D)$(PATHETC)/cert.pem
	chmod 640 $(D)$(PATHETC)/cert.pem
	chown $(RUNASUSER) $(D)$(PATHETC)/key.pem
	chgrp $(RUNASGROUP) $(D)$(PATHETC)/key.pem
	chmod 600 $(D)$(PATHETC)/key.pem


##  Cleanup targets.  clean deletes all compilation results but leaves the
##  configure results.  distclean or clobber removes everything not part of
##  the distribution tarball.  maintclean removes some additional files
##  created as part of the release process.
clean:
	@for D in $(CLEANDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) clean || exit 1 ; cd .. ; \
	done

clobber realclean distclean:
	@for D in $(CLEANDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) $(FLAGS) distclean || exit 1 ; cd .. ; \
	done
	@echo ''
	rm -f LIST.* Makefile.global TAGS tags config.cache config.log
	rm -f config.status libtool support/fixconfig support/fixscript
	rm -f config.status.lineno configure.lineno

# The removal list is unfortunately duplicated here, both to avoid doing work
# twice and because we can't just depend on distclean since it removes
# Makefile.global and then nothing works right.
maintclean:
	@for D in $(CLEANDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) $(FLAGS) maintclean || exit 1 ; cd .. ; \
	done
	@echo ''
	rm -f LIST.* Makefile.global TAGS tags config.cache config.log
	rm -f config.status libtool support/fixconfig support/fixscript
	rm -f config.status.lineno configure.lineno
	rm -f CHANGES ChangeLog inn*.tar.gz configure include/config.h.in
	rm -rf $(TARDIR)

##  Other generic targets.
bootstrap depend tags ctags profiled:
	@for D in $(ALLDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) $@ || exit 1 ; cd .. ; \
	done

TAGS etags:
	etags */*.c */*.h */*/*.c */*/*.h


##  Run the test suite.
check test tests: all
	cd tests && $(MAKE) test || exit 1 ; cd ..


##  For maintainers, build the entire source base with warnings enabled.
warnings:
	$(MAKE) COPT="$(WARNINGS) $(COPT)" all


##  Make a release.  We create a release by recreating the directory
##  structure and then copying over all files listed in the MANIFEST.  If it
##  isn't in the MANIFEST, it doesn't go into the release.  We also update
##  the version information in Makefile.global.in to remove the prerelease
##  designation and update all timestamps to the date the release is made.
##  If RELEASENUMBER is set, it is a beta release or a release candidate.
release: ChangeLog
	rm -rf $(TARDIR)
	rm -f inn*.tar.gz
	mkdir $(TARDIR)
	for d in `$(SED) $(DISTDIRS) MANIFEST` ; do $(MKDIR_P) $$d ; done
	for f in `$(SED) $(DISTFILES) MANIFEST` ; do \
	    cp $$f $(TARDIR)/$$f || exit 1 ; \
	done
	if [ "x$(RELEASENUMBER)" != "x" ] ; then \
	    cp README.$(RELEASEEXTENSION) $(TARDIR)/ ; \
	    $(SED) 's/= prerelease/= $(RELEASENUMBER) version/' \
	        Makefile.global.in > $(TARDIR)/Makefile.global.in ; \
	else \
	    $(SED) 's/= prerelease/=/' Makefile.global.in \
	        > $(TARDIR)/Makefile.global.in ; \
	fi
	cp ChangeLog $(TARDIR)/
	find $(TARDIR) -type f -print | xargs touch -t `date +%m%d%H%M.%S`
	tar cf $(TARFILE) $(TARDIR)
	$(GZIP) -9 $(TARFILE)

##  Generate the ChangeLog using support/mkchangelog.  This should only be
##  run by a maintainer since it depends on svn log working and also
##  requires svn2cl be available somewhere.
ChangeLog:
	$(PERL) support/mkchangelog


##  Check the MANIFEST against the files present in the current tree,
##  building a list with find and running diff between the lists.
check-manifest:
	$(SED) -e 1,2d -e 's/ .*//' MANIFEST > LIST.manifest
	$(PERL) support/mkmanifest > LIST.real
	diff -u LIST.manifest LIST.real


##  Make a snapshot.  This is like making a release, except that we don't do
##  the ChangeLog thing and we don't change the version number.  We also
##  assume that SNAPSHOT has been set to the appropriate current branch.
snapshot:
	rm -rf $(SNAPDIR)
	rm -f inn*.tar.gz
	mkdir $(SNAPDIR)
	set -e ; for d in `$(SED) $(SNAPDIRS) MANIFEST` ; do $(MKDIR_P) $$d ; done
	set -e ; for f in `$(SED) $(DISTFILES) MANIFEST` ; do \
	    cp $$f $(SNAPDIR)/$$f ; \
	done
	cp README.snapshot $(SNAPDIR)/
	$(SED) 's/= prerelease/= $(SNAPDATE) snapshot/' \
	    Makefile.global.in > $(SNAPDIR)/Makefile.global.in
	find $(SNAPDIR) -type f -print | xargs touch -t `date +%m%d%H%M.%S`
	tar cf $(SNAPDIR).tar $(SNAPDIR)
	$(GZIP) -9 $(SNAPDIR).tar

=== authprogs/Makefile ===
##  $Id: Makefile 8921 2010-01-22 23:33:08Z iulius $

include ../Makefile.global

top	      = ..
CFLAGS        = $(GCFLAGS)

ALL           = ckpasswd domain ident radius $(KRB5_AUTH)

LIBAUTH       = libauth.o

SOURCES       = auth_krb5.c ckpasswd.c domain.c ident.c libauth.c radius.c

all: $(ALL)

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	if [ x"$(KRB5_AUTH)" != x ] ; then \
	    $(LI_XPUB) auth_krb5 $(D)$(PATHAUTHPASSWD)/auth_krb5 ; \
	fi
	for F in ckpasswd radius ; do \
	    $(LI_XPUB) $$F $D$(PATHAUTHPASSWD)/$$F ; \
	done
	for F in domain ident ; do \
	    $(LI_XPUB) $$F $D$(PATHAUTHRESOLV)/$$F ; \
	done

bootstrap:

clean clobber distclean maintclean:
	rm -f *.o $(ALL)
	rm -rf .libs

tags ctags: $(SOURCES)
	$(CTAGS) $(SOURCES) ../lib/*.c ../include/*.h

profiled:
	$(MAKEPROFILING) all


##  Compilation rules.

LINK		= $(LIBLD) $(LDFLAGS) -o $@
AUTH_LIBS       = $(LIBAUTH) $(LIBINN) $(LIBS)
CK_LIBS		= $(CRYPT_LIBS) $(SHADOW_LIBS) $(PAM_LIBS) $(DBM_LIBS)

auth_krb5: auth_krb5.o $(LIBAUTH) $(LIBINN)
	$(LINK) auth_krb5.o $(KRB5_LDFLAGS) $(KRB5_LIBS) $(AUTH_LIBS)

ckpasswd: ckpasswd.o $(LIBAUTH) $(LIBINN)
	$(LINK) ckpasswd.o $(CK_LIBS) $(AUTH_LIBS)

domain: domain.o $(LIBAUTH) $(LIBINN)
	$(LINK) domain.o $(AUTH_LIBS)

ident: ident.o $(LIBAUTH) $(LIBINN)
	$(LINK) ident.o $(AUTH_LIBS)

radius: radius.o $(LIBAUTH) $(LIBINN)
	$(LINK) radius.o $(AUTH_LIBS)

auth_krb5.o: auth_krb5.c
	$(CC) $(CFLAGS) $(KRB5_CPPFLAGS) -c auth_krb5.c

ckpasswd.o: ckpasswd.c
	$(CC) $(CFLAGS) $(DBM_CPPFLAGS) -c ckpasswd.c

$(LIBINN):	; (cd ../lib ; $(MAKE))
$(LIBSTORAGE):	; (cd ../storage ; $(MAKE))
$(LIBAUTH): 	libauth.h libauth.c


##  Dependencies.  Default list, below, is probably good enough.

depend: Makefile $(SOURCES)
	$(MAKEDEPEND) '$(CFLAGS)' $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
auth_krb5.o: auth_krb5.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h libauth.h ../include/portable/socket.h \
  ../include/config.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/defines.h \
  ../include/inn/messages.h ../include/inn/libinn.h
ckpasswd.o: ckpasswd.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/messages.h ../include/inn/defines.h \
  ../include/inn/qio.h ../include/inn/vector.h ../include/inn/libinn.h \
  libauth.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h
domain.o: domain.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/messages.h ../include/inn/defines.h \
  ../include/inn/libinn.h libauth.h ../include/portable/socket.h \
  ../include/config.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h
ident.o: ident.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/messages.h ../include/inn/defines.h \
  ../include/inn/network.h ../include/inn/libinn.h libauth.h \
  ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h
libauth.o: libauth.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/messages.h ../include/inn/defines.h libauth.h \
  ../include/inn/libinn.h
radius.o: radius.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/time.h ../include/config.h \
  ../include/inn/innconf.h ../include/inn/defines.h ../include/inn/md5.h \
  ../include/inn/messages.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/conffile.h libauth.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h

=== control/Makefile ===
##  $Id: Makefile 8247 2008-12-21 22:28:19Z iulius $

include ../Makefile.global

top	      = ..

ALL	      = controlbatch controlchan docheckgroups perl-nocem \
		pgpverify signcontrol

MAN	      = ../doc/man/perl-nocem.8 ../doc/man/pgpverify.1

all: $(ALL) $(MAN)

install: all
	for F in $(ALL) ; do \
	    $(CP_XPUB) $$F $D$(PATHBIN)/$$F ; \
	done
	for M in modules/*.pl ; do \
	    $(CP_RPUB) $$M $D$(PATHCONTROL)/`basename $$M` ; \
	done

bootstrap: $(MAN)

clean clobber distclean:
	rm -f $(ALL)

maintclean: distclean
	rm -f $(MAN)

profiled: all

depend:

$(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1


##  Build rules.

FIX = $(FIXSCRIPT)

controlbatch:	controlbatch.in  $(FIX) ; $(FIX) controlbatch.in
controlchan:	controlchan.in   $(FIX) ; $(FIX) controlchan.in
docheckgroups:	docheckgroups.in $(FIX) ; $(FIX) docheckgroups.in
perl-nocem:	perl-nocem.in    $(FIX) ; $(FIX) perl-nocem.in
pgpverify:	pgpverify.in     $(FIX) ; $(FIX) pgpverify.in
signcontrol:	signcontrol.in   $(FIX) ; $(FIX) -i signcontrol.in

../doc/man/perl-nocem.8: perl-nocem.in
	$(POD2MAN) -s 8 -n "PERL-NOCEM" $? > $@

../doc/man/pgpverify.1: pgpverify.in
	$(POD2MAN) -s 1 -n "PGPVERIFY" $? > $@

=== doc/Makefile ===
##  $Id: Makefile 8413 2009-04-12 11:58:22Z iulius $
##
##  The only target that this Makefile need support is install.  Everything
##  else is a null target (and the top level Makefile shouldn't even attempt
##  them in this directory).

include ../Makefile.global

top	= ..

TOPDOCS	= CONTRIBUTORS HACKING INSTALL LICENSE NEWS README TODO

DOCS	= GPL config-design config-semantics config-syntax \
	external-auth history history-innfeed hook-perl hook-python \
	sample-control

DIRS = pod man

all:
	cd pod && $(MAKE) all || exit 1 ; cd ..

tags ctags:
profiled:
depend:

clean clobber distclean maintclean:
	cd pod && $(MAKE) $@ || exit 1 ; cd ..

install:
	for F in $(TOPDOCS) ; do \
	    $(CP_RPUB) $(top)/$$F $D$(PATHDOC)/$$F ; \
	done
	for F in $(DOCS) ; do \
	    $(CP_RPUB) $$F $D$(PATHDOC)/$$F ; \
	done
	if [ -r $(top)/README.snapshot ] ; then \
	    $(CP_RPUB) $(top)/README.snapshot $D$(PATHDOC)/README.snapshot ; \
	fi
	cd man && $(MAKE) install || exit 1 ; cd ..

bootstrap:
	cd pod && $(MAKE) bootstrap || exit 1 ; cd ..

=== expire/Makefile ===
##  $Id: Makefile 8556 2009-08-05 21:01:48Z iulius $

include ../Makefile.global

top           = ..
CFLAGS        = $(GCFLAGS)

ALL           = convdate expire expireover expirerm fastrm grephistory \
		makedbz makehistory prunehistory

SOURCES       = convdate.c expire.c expireover.c fastrm.c grephistory.c \
		makedbz.c makehistory.c prunehistory.c

all: $(ALL)

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	for F in convdate fastrm grephistory ; do \
	    $(LI_XPUB) $$F $D$(PATHBIN)/$$F ; \
	done
	for F in expire expireover makedbz makehistory prunehistory ; do \
	    $(LI_XPRI) $$F $D$(PATHBIN)/$$F ; \
	done
	$(CP_XPRI) expirerm $D$(PATHBIN)/expirerm

bootstrap:

clean:
	rm -f *.o $(ALL)
	rm -f profiled expirep
	rm -rf .libs

clobber distclean maintclean: clean
	rm -f tags

tags ctags: $(SOURCES)
	$(CTAGS) $(SOURCES)


##  Compilation rules.

BOTH		= $(LIBHIST) $(LIBSTORAGE) $(LIBINN)

LINK            = $(LIBLD) $(LDFLAGS) -o $@
INNLIBS		= $(LIBINN) $(LIBS)
STORELIBS	= $(BOTH) $(STORAGE_LIBS) $(LIBS)

FIX             = $(FIXSCRIPT)

$(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1

convdate:	convdate.o     $(LIBINN) ; $(LINK) convdate.o     $(INNLIBS)
expire:		expire.o       $(BOTH)   ; $(LINK) expire.o       $(STORELIBS)
expireover:	expireover.o   $(BOTH)   ; $(LINK) expireover.o   $(STORELIBS)
fastrm:		fastrm.o       $(BOTH)   ; $(LINK) fastrm.o       $(STORELIBS)
grephistory:	grephistory.o  $(BOTH)   ; $(LINK) grephistory.o  $(STORELIBS)
makedbz:	makedbz.o      $(LIBINN) ; $(LINK) makedbz.o      $(INNLIBS)
makehistory:	makehistory.o  $(BOTH)   ; $(LINK) makehistory.o  $(STORELIBS)
prunehistory:	prunehistory.o $(BOTH)   ; $(LINK) prunehistory.o $(STORELIBS)

expirerm:	expirerm.in    $(FIX)    ; $(FIX) expirerm.in

$(LIBINN):	; (cd ../lib ; $(MAKE))
$(LIBSTORAGE):	; (cd ../storage ; $(MAKE))
$(LIBHIST):	; (cd ../history ; $(MAKE))


##  Profiling.  These rules have not been checked for a while and may need
##  some work.

profiled:	expirep 
	date >$@

expirep:	expire.c
	rm -f expire.o
	$(MAKEPROFILING) expire
	mv expire expirep
	rm -f expire.o


##  Dependencies.  Default list, below, is probably good enough.

depend:	Makefile $(SOURCES)
	$(MAKEDEPEND) '$(CFLAGS)' $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
convdate.o: convdate.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/messages.h ../include/inn/defines.h \
  ../include/inn/libinn.h
expire.o: expire.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/history.h ../include/inn/defines.h \
  ../include/inn/innconf.h ../include/inn/messages.h \
  ../include/inn/inndcomm.h ../include/inn/libinn.h \
  ../include/inn/newsuser.h ../include/config.h ../include/clibrary.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
expireover.o: expireover.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/libinn.h ../include/inn/messages.h \
  ../include/inn/newsuser.h ../include/config.h ../include/clibrary.h \
  ../include/inn/ov.h ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/history.h ../include/inn/paths.h ../include/inn/qio.h \
  ../include/inn/storage.h
fastrm.o: fastrm.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/messages.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/storage.h ../include/inn/options.h
grephistory.o: grephistory.c ../include/clibrary.h ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h \
  ../include/inn/options.h ../include/inn/history.h \
  ../include/inn/defines.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/libinn.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
makedbz.o: makedbz.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/dbz.h ../include/inn/libinn.h \
  ../include/inn/defines.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/messages.h \
  ../include/inn/newsuser.h ../include/config.h ../include/clibrary.h \
  ../include/inn/paths.h ../include/inn/qio.h ../include/inn/storage.h \
  ../include/inn/options.h
makehistory.o: makehistory.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/wait.h ../include/config.h \
  ../include/inn/buffer.h ../include/inn/defines.h \
  ../include/inn/history.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/messages.h \
  ../include/inn/newsuser.h ../include/config.h ../include/clibrary.h \
  ../include/inn/ov.h ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/history.h ../include/inn/paths.h ../include/inn/qio.h \
  ../include/inn/storage.h ../include/inn/vector.h ../include/inn/wire.h
prunehistory.o: prunehistory.c ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h \
  ../include/inn/options.h ../include/clibrary.h ../include/config.h \
  ../include/inn/history.h ../include/inn/defines.h \
  ../include/inn/innconf.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/paths.h

=== history/Makefile ===
##  $Id: Makefile 8556 2009-08-05 21:01:48Z iulius $

include ../Makefile.global

top           = ..
CFLAGS        = $(GCFLAGS) -I.

SOURCES       = his.c hismethods.c $(METHOD_SOURCES)
OBJECTS       = $(SOURCES:.c=.o)
LOBJECTS      = $(OBJECTS:.o=.lo)

.SUFFIXES: .lo

all: library programs

# Included here after the all target, since additional rules are defined in
# Make.methods to be sure that we recurse properly to build the methods.
include Make.methods

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	$(LI_XPUB) libinnhist.$(EXTLIB) $D$(PATHLIB)/libinnhist.$(EXTLIB)

bootstrap: Make.methods

library: libinnhist.$(EXTLIB)

programs: $(PROGRAMS)

clean clobber distclean:
	rm -f *.o *.lo */*.o */*.lo libinnhist.la libinnhist.a
	rm -f libinnhist_pure_*.a .pure $(PROGRAMS)
	rm -f buildconfig profiled libinnhist$(PROFSUFFIX).a
	rm -rf .libs */.libs

maintclean: distclean
	rm -f Make.methods hismethods.c hismethods.h

tags ctags: $(SOURCES)
	$(CTAGS) $(SOURCES) ../include/*.h

$(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1

libinnhist.la: $(OBJECTS) $(LIBSTORAGE) $(LIBINN)
	$(LIBLD) $(LDFLAGS) -o $@ $(LOBJECTS) \
	    $(LIBSTORAGE) $(LIBINN) $(STORAGE_LIBS) $(LIBS) \
	    -rpath $(PATHLIB) -version-info 2:0:0

libinnhist.a: $(OBJECTS)
	ar r $@ $(OBJECTS)
	$(RANLIB) libinnhist.a

# Try to set up these rules so that buildconfig is only run once.
# Make.methods is included in the distribution tarball since some non-GNU
# makes can't deal with including a non-existent file, so don't depend on
# it.  The dependencies aren't entirely accurate; you really want to re-run
# buildconfig each time a new subdirectory is added to the directory.  But
# adding a dependency on . is a bit too non-portable for my taste and causes
# too many rebuilds.
Make.methods hismethods.h hismethods.c: buildconfig
	./buildconfig

buildconfig: buildconfig.in $(FIXSCRIPT)
	$(FIXSCRIPT) -i buildconfig.in

.c.o .c.lo:
	$(LIBCC) $(CFLAGS) $(CCOUTPUT)

$(LIBINN):      ; (cd ../lib ; $(MAKE))
$(LIBSTORAGE):	; (cd ../storage ; $(MAKE) library)


##  Profiling.  The rules are a bit brute-force, but good enough.

profiled: libinnhist$(PROFSUFFIX).a
	date >$@

libinnhist$(PROFSUFFIX).a: $(SOURCES)
	rm -f $(OBJECTS)
	$(MAKEPROFILING) libinnhist.a
	mv libinnhist.a libinnhist$(PROFSUFFIX).a
	$(RANLIB) libinnhist$(PROFSUFFIX).a
	rm -f $(OBJECTS)


##  Dependencies.  Default list, below, is probably good enough.

depend:	$(SOURCES) $(EXTRA_SOURCES)
	$(MAKEDEPEND) '$(CFLAGS)' $(SOURCES) $(EXTRA_SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
his.o: his.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/time.h ../include/config.h \
  ../include/inn/history.h ../include/inn/defines.h \
  ../include/inn/messages.h ../include/inn/timer.h \
  ../include/inn/libinn.h ../include/inn/storage.h \
  ../include/inn/options.h hisinterface.h hismethods.h
hismethods.o: hismethods.c hisinterface.h ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h \
  ../include/inn/options.h hismethods.h hisv6/hisv6.h
hisv6/hisv6.o: hisv6/hisv6.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h hisinterface.h ../include/config.h hisv6/hisv6.h \
  hisv6/hisv6-private.h ../include/inn/history.h ../include/inn/defines.h \
  ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/libinn.h ../include/inn/dbz.h ../include/inn/libinn.h \
  ../include/inn/innconf.h ../include/inn/timer.h ../include/inn/qio.h \
  ../include/inn/sequence.h ../include/inn/inndcomm.h

=== include/Makefile ===
##  $Id: Makefile 7585 2006-11-21 09:37:51Z eagle $
##
##  Currently just handles creation of the automatically generated header
##  files.  Eventually, rules for installing INN's header files will go
##  here.

include ../Makefile.global

top	      = ..

ALL	      = inn/system.h inn/version.h

EXTRA	      = config.h inn/paths.h

all: $(ALL) $(EXTRA)

warnings: all

bootstrap:

clean:
	rm -f $(ALL)

clobber distclean maintclean: clean
	rm -f $(EXTRA)

depend tags ctags:

profiled: all

$(EXTRA) $(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1


##  Build rules.

inn/system.h: config.h $(top)/support/mksystem
	$(top)/support/mksystem $(AWK) config.h > $@

inn/version.h: $(top)/support/mkversion $(top)/Makefile.global
	$(top)/support/mkversion '$(VERSION)' '$(VERSION_EXTRA)' > $@


##  Installation rules.

install:
	$(top)/support/install-sh $(OWNER) -m 0755 -d $D$(PATHINCLUDE)/inn
	for F in inn/*.h ; do \
	    $(CP_RPUB) $$F $D$(PATHINCLUDE)/$$F ; \
	done

=== innd/Makefile ===
##  $Id: Makefile 8921 2010-01-22 23:33:08Z iulius $

include ../Makefile.global

top	        = ..
CFLAGS		= $(GCFLAGS) $(TCLINC)

ALL		= innd tinyleaf

SOURCES		= art.c cc.c chan.c icd.c innd.c keywords.c lc.c nc.c \
		  newsfeeds.c ng.c perl.c proc.c python.c rc.c site.c \
		  status.c util.c wip.c

EXTRASOURCES	= tinyleaf.c

OBJECTS		= $(SOURCES:.c=.o)

all: $(ALL)

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	$(LI_XPRI) innd $D$(PATHBIN)/innd
	$(LI_XPUB) tinyleaf $D$(PATHBIN)/tinyleaf

bootstrap:

clean:
	rm -f *.o $(ALL) inndp
	rm -rf .libs

clobber distclean maintclean: clean
	rm -f tags

tags ctags: $(SOURCES) $(EXTRASOURCES)
	$(CTAGS) $(SOURCES) $(EXTRASOURCES) ../lib/*.c innd.h ../include/*.h


##  Compilation rules.

INNDLIBS 	= $(LIBSTORAGE) $(LIBHIST) $(LIBINN) $(STORAGE_LIBS) \
		  $(PERL_LIBS) $(PYTHON_LIBS) $(REGEX_LIBS) $(LIBS)

perl.o:		perl.c   ; $(CC) $(CFLAGS) $(PERL_CPPFLAGS) -c perl.c
python.o:	python.c ; $(CC) $(CFLAGS) $(PYTHON_CPPFLAGS) -c python.c

innd: $(OBJECTS) $(LIBSTORAGE) $(LIBHIST) $(LIBINN)
	$(LIBLD) $(LDFLAGS) -o $@ $(OBJECTS) $(INNDLIBS)

tinyleaf: tinyleaf.o $(LIBINN)
	$(LIBLD) $(LDFLAGS) -o $@ tinyleaf.o $(LIBINN) $(LIBS)

$(LIBINN):	; (cd ../lib ; $(MAKE))
$(LIBSTORAGE):	; (cd ../storage ; $(MAKE))
$(LIBHIST):	; (cd ../history ; $(MAKE))


##  Profiling.  These rules have not been checked for a while and may need
##  some work.

profiled: inndp

inndp: $(SOURCES)
	rm -f $(OBJECTS)
	$(MAKEPROFILING) innd
	mv innd inndp
	rm -f $(OBJECTS)


##  Dependencies.  Default list, below, is probably good enough.

depend:	Makefile $(SOURCES) $(EXTRASOURCES)
	$(MAKEDEPEND) '$(CFLAGS) $(PERL_CPPFLAGS) $(PYTHON_CPPFLAGS)' \
	    $(SOURCES) $(EXTRASOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
art.o: art.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/md5.h ../include/inn/ov.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/history.h \
  ../include/inn/storage.h ../include/inn/vector.h ../include/inn/wire.h \
  innd.h ../include/portable/time.h ../include/config.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h
cc.o: cc.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/qio.h innd.h ../include/portable/time.h \
  ../include/config.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/buffer.h ../include/inn/history.h \
  ../include/inn/messages.h ../include/inn/timer.h \
  ../include/inn/libinn.h ../include/inn/nntp.h ../include/inn/paths.h \
  ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/inndcomm.h ../include/innperl.h
chan.o: chan.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/network.h innd.h ../include/portable/time.h \
  ../include/config.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/buffer.h ../include/inn/history.h \
  ../include/inn/messages.h ../include/inn/timer.h \
  ../include/inn/libinn.h ../include/inn/nntp.h ../include/inn/paths.h \
  ../include/inn/storage.h ../include/inn/options.h
icd.o: icd.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/mmap.h ../include/config.h \
  ../include/inn/innconf.h ../include/inn/defines.h ../include/inn/mmap.h \
  innd.h ../include/portable/time.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/buffer.h ../include/inn/history.h \
  ../include/inn/messages.h ../include/inn/timer.h \
  ../include/inn/libinn.h ../include/inn/nntp.h ../include/inn/paths.h \
  ../include/inn/storage.h ../include/inn/options.h ../include/inn/ov.h \
  ../include/inn/storage.h ../include/inn/history.h
innd.o: innd.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/messages.h ../include/inn/newsuser.h ../include/config.h \
  ../include/clibrary.h ../include/innperl.h innd.h \
  ../include/portable/time.h ../include/config.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/timer.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/ov.h ../include/inn/storage.h \
  ../include/inn/history.h
keywords.o: keywords.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/libinn.h ../include/inn/defines.h \
  ../include/inn/innconf.h innd.h ../include/portable/time.h \
  ../include/config.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/buffer.h ../include/inn/history.h \
  ../include/inn/messages.h ../include/inn/timer.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
lc.o: lc.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  innd.h ../include/portable/time.h ../include/config.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
nc.o: nc.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/qio.h ../include/inn/version.h innd.h \
  ../include/portable/time.h ../include/config.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
newsfeeds.o: newsfeeds.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  innd.h ../include/portable/time.h ../include/config.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
ng.o: ng.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  innd.h ../include/portable/time.h ../include/config.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/ov.h ../include/inn/storage.h \
  ../include/inn/history.h
perl.o: perl.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/wire.h ../include/inn/defines.h \
  innd.h ../include/portable/time.h ../include/config.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h \
  ../include/ppport.h ../include/innperl.h
proc.o: proc.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/wait.h ../include/config.h \
  innd.h ../include/portable/time.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/buffer.h ../include/inn/defines.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
python.o: python.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/wire.h innd.h ../include/portable/time.h \
  ../include/config.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/buffer.h ../include/inn/history.h \
  ../include/inn/messages.h ../include/inn/timer.h \
  ../include/inn/libinn.h ../include/inn/nntp.h ../include/inn/paths.h \
  ../include/inn/storage.h ../include/inn/options.h
rc.o: rc.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/network.h ../include/inn/vector.h innd.h \
  ../include/portable/time.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
site.o: site.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  innd.h ../include/portable/time.h ../include/config.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
status.o: status.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/network.h ../include/inn/defines.h \

=== lib/Makefile ===
##  $Id: Makefile 9278 2011-07-17 19:23:27Z iulius $

include ../Makefile.global

top	= ..
CFLAGS  = $(GCFLAGS)

# The base library files that are always compiled and included.
SOURCES       = argparse.c buffer.c cleanfrom.c clientactive.c clientlib.c commands.c concat.c \
		conffile.c confparse.c daemonize.c date.c dbz.c defdist.c \
		dispatch.c fdflags.c fdlimit.c getfqdn.c \
		getmodaddr.c hash.c hashtab.c headers.c hex.c innconf.c inndcomm.c \
		list.c localopen.c lockfile.c makedir.c md5.c messageid.c messages.c \
		mmap.c network.c newsuser.c nntp.c numbers.c qio.c radix32.c \
		readin.c remopen.c \
		reservedfd.c resource.c sendarticle.c sendpass.c sequence.c \
		timer.c tst.c uwildmat.c vector.c wire.c xfopena.c \
		xmalloc.c xsignal.c xwrite.c

# Sources for additional functions only built to replace missing system ones.
EXTRA_SOURCES = alloca.c asprintf.c fseeko.c ftello.c getaddrinfo.c getnameinfo.c \
		getpagesize.c hstrerror.c inet_aton.c inet_ntoa.c inet_ntop.c memcmp.c \
		mkstemp.c pread.c pwrite.c setenv.c seteuid.c setproctitle.c \
		snprintf.c strcasecmp.c strlcat.c strlcpy.c strspn.c \
		strtok.c symlink.c

OBJECTS       = $(LIBOBJS) $(ALLOCA) $(SOURCES:.c=.o)
LOBJECTS      = $(OBJECTS:.o=.lo)

.SUFFIXES: .lo

all: libinn.$(EXTLIB) perl.o

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	$(LI_XPUB) libinn.$(EXTLIB) $D$(PATHLIB)/libinn.$(EXTLIB)

bootstrap:

clean clobber distclean maintclean:
	rm -f *.o *.lo libinn.la libinn.a
	rm -f profiled perl$(PROFSUFFIX).o libinn$(PROFSUFFIX).a
	rm -f libinn_pure_*.a .pure
	rm -rf .libs

tags ctags: $(SOURCES)
	$(CTAGS) $(SOURCES) ../include/*.h

libinn.la: $(OBJECTS) $(LOBJECTS)
	$(LIBLD) $(LDFLAGS) -o $@ $(LOBJECTS) $(LIBS) \
	    -rpath $(PATHLIB) -version-info 2:0:0

libinn.a: $(OBJECTS)
	ar r $@ $(OBJECTS)
	$(RANLIB) libinn.a

.c.o .c.lo:
	$(LIBCC) $(CFLAGS) -c $*.c

perl.o: perl.c
	$(CC) $(CFLAGS) $(PERL_CPPFLAGS) $(LDFLAGS) -c perl.c

../include/inn/system.h:
	(cd ../include && $(MAKE))

##  Profiling.  The rules are a bit brute-force, but good enough.
profiled: libinn$(PROFSUFFIX).a perl$(PROFSUFFIX).o
	date >$@

libinn$(PROFSUFFIX).a perl$(PROFSUFFIX).o: $(OBJECTS) perl.o
	rm -f $(OBJECTS)
	$(MAKEPROFILING) libinn.a
	$(MAKEPROFILING) perl.o
	mv libinn.a libinn$(PROFSUFFIX).a
	mv perl.o perl$(PROFSUFFIX).o
	$(RANLIB) libinn$(PROFSUFFIX).a
	rm -f $(OBJECTS)

##  Dependencies.  Default list, below, is probably good enough.

depend: Makefile $(SOURCES) $(EXTRA_SOURCES) perl.c ../include/inn/system.h
	$(MAKEDEPEND) '$(CFLAGS) $(PERL_CPPFLAGS)' $(SOURCES) \
	    $(EXTRA_SOURCES) perl.c

# Special dependency to teach make to build the include directory properly.
../include/inn/defines.h: ../include/inn/system.h

# DO NOT DELETE THIS LINE -- make depend depends on it.
argparse.o: argparse.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/libinn.h
buffer.o: buffer.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/buffer.h ../include/inn/defines.h \
  ../include/inn/libinn.h
cleanfrom.o: cleanfrom.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/libinn.h ../include/inn/defines.h
clientactive.o: clientactive.c ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h \
  ../include/inn/options.h ../include/clibrary.h ../include/config.h \
  ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/libinn.h ../include/inn/nntp.h ../include/inn/paths.h
clientlib.o: clientlib.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/libinn.h ../include/inn/nntp.h
commands.o: commands.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/libinn.h ../include/inn/defines.h
concat.o: concat.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h \
  ../include/inn/libinn.h ../include/inn/defines.h
conffile.o: conffile.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/conffile.h ../include/inn/libinn.h \
  ../include/inn/defines.h
confparse.o: confparse.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/confparse.h ../include/inn/defines.h \
  ../include/inn/hashtab.h ../include/inn/messages.h \
  ../include/inn/vector.h ../include/inn/libinn.h
daemonize.o: daemonize.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/messages.h ../include/inn/defines.h \
  ../include/inn/libinn.h
date.o: date.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/libinn.h ../include/inn/defines.h
dbz.o: dbz.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/mmap.h ../include/config.h \
  ../include/inn/dbz.h ../include/inn/libinn.h ../include/inn/defines.h \
  ../include/inn/messages.h ../include/inn/innconf.h \
  ../include/inn/mmap.h ../include/inn/libinn.h
defdist.o: defdist.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/libinn.h ../include/inn/paths.h
dispatch.o: dispatch.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/dispatch.h ../include/inn/vector.h \
  ../include/inn/defines.h
fdflags.o: fdflags.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/libinn.h ../include/inn/defines.h
fdlimit.o: fdlimit.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/libinn.h ../include/inn/defines.h
getfqdn.o: getfqdn.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/libinn.h ../include/inn/defines.h \
  ../include/inn/paths.h
getmodaddr.o: getmodaddr.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/libinn.h ../include/inn/nntp.h ../include/inn/paths.h
hash.o: hash.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/md5.h ../include/inn/defines.h \
  ../include/inn/utility.h ../include/inn/libinn.h
hashtab.o: hashtab.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/hashtab.h ../include/inn/defines.h \
  ../include/inn/libinn.h
headers.o: headers.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/libinn.h ../include/inn/defines.h
hex.o: hex.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/utility.h ../include/inn/defines.h
innconf.o: innconf.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/confparse.h ../include/inn/defines.h \
  ../include/inn/innconf.h ../include/inn/messages.h \
  ../include/inn/vector.h ../include/inn/libinn.h ../include/inn/paths.h
inndcomm.o: inndcomm.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/time.h ../include/config.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/innconf.h \
  ../include/inn/defines.h ../include/inn/inndcomm.h \
  ../include/inn/libinn.h ../include/inn/paths.h
list.o: list.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/list.h ../include/inn/defines.h
localopen.o: localopen.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/libinn.h ../include/inn/nntp.h ../include/inn/paths.h
lockfile.o: lockfile.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/libinn.h ../include/inn/defines.h
makedir.o: makedir.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/libinn.h ../include/inn/defines.h
md5.o: md5.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/md5.h ../include/inn/defines.h
messageid.o: messageid.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/libinn.h ../include/inn/nntp.h
messages.o: messages.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/messages.h ../include/inn/defines.h \
  ../include/inn/libinn.h
mmap.o: mmap.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/mmap.h ../include/config.h \
  ../include/inn/messages.h ../include/inn/defines.h \
  ../include/inn/mmap.h
network.o: network.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/portable/time.h ../include/portable/wait.h \
  ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/messages.h ../include/inn/network.h \
  ../include/inn/libinn.h
newsuser.o: newsuser.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/messages.h ../include/inn/newsuser.h ../include/config.h \
  ../include/clibrary.h
nntp.o: nntp.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/socket.h ../include/config.h \

=== nnrpd/Makefile ===
##  $Id: Makefile 8921 2010-01-22 23:33:08Z iulius $

include ../Makefile.global

top		= ..
CFLAGS		= $(GCFLAGS) $(SSL_CPPFLAGS) $(SASL_CPPFLAGS)

ALL		= nnrpd

SOURCES		= article.c auth-ext.c cache.c group.c commands.c line.c \
		  list.c misc.c newnews.c nnrpd.c perl.c perm.c post.c \
		  python.c sasl.c tls.c track.c

INCLUDES	= cache.h nnrpd.h post.h tls.h

OBJECTS		= $(SOURCES:.c=.o)

all: $(ALL)

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	$(LI_XPUB) nnrpd $D$(PATHBIN)/nnrpd

bootstrap:

clean:
	rm -f *.o $(ALL) nnrpdp profiled
	rm -rf .libs

clobber distclean maintclean: clean
	rm -f tags

tags ctags: $(SOURCES) $(INCLUDES)
	$(CTAGS) $(SOURCES) $(INCLUDES) ../lib/*.c ../include/*.h


##  Compilation rules.

NNRPDLIBS	= $(LIBHIST) $(LIBSTORAGE) $(LIBINN) $(STORAGE_LIBS) \
		  $(PERL_LIBS) $(PYTHON_LIBS) $(SSL_LDFLAGS) $(SSL_LIBS) \
		  $(SASL_LDFLAGS) $(SASL_LIBS) $(LIBS)

.c.o:
	$(CC) $(CFLAGS) $(SSL_CPPFLAGS) $(SASL_CPPFLAGS) -c $<

perl.o:		perl.c   ; $(CC) $(CFLAGS) $(PERL_CPPFLAGS) -c perl.c
python.o:	python.c ; $(CC) $(CFLAGS) $(PYTHON_CPPFLAGS) -c python.c

nnrpd: $(OBJECTS) $(LIBHIST) $(LIBSTORAGE) $(LIBINN)
	$(LIBLD) $(LDFLAGS) -o $@ $(OBJECTS) $(NNRPDLIBS)

$(LIBINN):	; (cd ../lib ; $(MAKE))
$(LIBSTORAGE):	; (cd ../storage ; $(MAKE))
$(LIBHIST):	; (cd ../history ; $(MAKE))


##  Profiling.  These rules have not been checked for a while and may need
##  some work.

profiled: nnrpdp

nnrpdp: $(SOURCES)
	rm -f $(OBJECTS)
	$(MAKEPROFILING) nnrpd
	mv nnrpd nnrpdp
	rm -f $(OBJECTS)


##  Dependencies.  Default list, below, is probably good enough.

depend:	$(SOURCES)
	$(MAKEDEPEND) '$(CFLAGS) $(PERL_CPPFLAGS) $(PYTHON_CPPFLAGS)' \
	    $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
article.o: article.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/messages.h ../include/inn/wire.h nnrpd.h \
  ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/portable/time.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h \
  ../include/inn/ov.h ../include/inn/storage.h ../include/inn/history.h \
  tls.h cache.h
auth-ext.o: auth-ext.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/wait.h ../include/config.h \
  ../include/inn/buffer.h ../include/inn/defines.h \
  ../include/inn/messages.h ../include/inn/vector.h nnrpd.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/portable/time.h \
  ../include/inn/qio.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/timer.h
cache.o: cache.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/tst.h ../include/inn/list.h ../include/inn/libinn.h \
  ../include/inn/storage.h ../include/inn/options.h cache.h
group.o: group.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  nnrpd.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/portable/time.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h \
  ../include/inn/ov.h ../include/inn/storage.h ../include/inn/history.h
commands.o: commands.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/wait.h ../include/config.h \
  nnrpd.h ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/portable/time.h \
  ../include/inn/qio.h ../include/inn/defines.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h \
  ../include/inn/ov.h ../include/inn/storage.h ../include/inn/history.h \
  ../include/inn/innconf.h ../include/inn/messages.h \
  ../include/inn/version.h tls.h
line.o: line.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/messages.h ../include/inn/defines.h \
  nnrpd.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/portable/time.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h \
  tls.h
list.o: list.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h nnrpd.h ../include/portable/socket.h \
  ../include/config.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/portable/time.h \
  ../include/inn/qio.h ../include/inn/defines.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h \
  ../include/inn/ov.h ../include/inn/storage.h ../include/inn/history.h \
  ../include/inn/innconf.h ../include/inn/messages.h
misc.o: misc.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  nnrpd.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/portable/time.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h \
  tls.h ../include/inn/ov.h ../include/inn/storage.h \
  ../include/inn/history.h
newnews.o: newnews.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/messages.h ../include/inn/wire.h nnrpd.h \
  ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/portable/time.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h \
  ../include/inn/ov.h ../include/inn/storage.h ../include/inn/history.h \
  cache.h
nnrpd.o: nnrpd.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h \
  ../include/portable/alloca.h ../include/config.h ../include/clibrary.h \
  ../include/config.h ../include/portable/setproctitle.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/portable/wait.h \
  ../include/inn/innconf.h ../include/inn/defines.h \
  ../include/inn/libinn.h ../include/inn/messages.h \
  ../include/inn/network.h ../include/inn/newsuser.h ../include/config.h \
  ../include/clibrary.h ../include/inn/ov.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/history.h \
  ../include/inn/version.h nnrpd.h ../include/portable/time.h \
  ../include/inn/qio.h ../include/inn/nntp.h ../include/inn/paths.h \
  ../include/inn/storage.h ../include/inn/vector.h ../include/inn/timer.h \
  tls.h
perl.o: perl.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  nnrpd.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/portable/time.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h \
  post.h \
  ../include/ppport.h \
  ../include/innperl.h
perm.o: perm.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/portable/wait.h ../include/config.h \
  ../include/conffile.h ../include/inn/network.h ../include/inn/defines.h \
  ../include/inn/innconf.h ../include/innperl.h nnrpd.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/portable/time.h \
  ../include/inn/qio.h ../include/inn/libinn.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h
post.o: post.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  nnrpd.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/portable/time.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h \
  ../include/inn/ov.h ../include/inn/storage.h ../include/inn/history.h \
  post.h
python.o: python.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/innconf.h ../include/inn/defines.h \
  nnrpd.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/portable/time.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h \
  ../include/inn/hashtab.h
sasl.o: sasl.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/messages.h ../include/inn/defines.h \
  nnrpd.h ../include/portable/socket.h ../include/config.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/portable/time.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/timer.h \
  ../include/inn/ov.h ../include/inn/storage.h ../include/inn/history.h
tls.o: tls.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h nnrpd.h ../include/portable/socket.h \
  ../include/config.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/portable/time.h \
  ../include/inn/qio.h ../include/inn/defines.h ../include/inn/libinn.h \

=== perl/Makefile ===
##  $Id: Makefile 9304 2011-08-04 22:10:47Z iulius $

include ../Makefile.global

top	      = ..

ALL           = INN/Utils/Shlock.pm

EXTRA         = INN/Config.pm

##  The double underscore '__' will be converted into two colons '::'
##  during the install process (otherwise, make would complain in this
##  file, and we cannot generate the right file with '::' in the
##  Subversion man directory because it would always be regenerated:
##  the file containing '__' would indeed not be found).
MAN           = ../doc/man/INN__Config.3pm \
		../doc/man/INN__Utils__Shlock.3pm

all: $(ALL) $(EXTRA) $(MAN)

install: all
	for F in $(ALL) $(EXTRA) ; do \
	    $(CP_RPUB) $$F $D$(PATHLIBPERL)/$$F ; \
	done

bootstrap: $(MAN)

clean:
	rm -f $(ALL)

clobber distclean: clean
	rm -f $(EXTRA)

maintclean: distclean
	rm -f $(MAN)

depend:

profiled: all

$(EXTRA) $(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1

##  Compilation rules.

FIX		= $(FIXSCRIPT)

INN/Utils/Shlock.pm: INN/Utils/Shlock.pm.in	$(FIX) ; $(FIX) INN/Utils/Shlock.pm.in

../doc/man/INN__Config.3pm: INN/Config.pm.in
	$(POD2MAN) -s '$(MAN3PM_EXT)' -n "INN::Config" $? > $@

../doc/man/INN__Utils__Shlock.3pm: INN/Utils/Shlock.pm.in
	$(POD2MAN) -s '$(MAN3PM_EXT)' -n "INN::Utils::Shlock" $? > $@

=== samples/Makefile ===
##  $Id: Makefile 7650 2007-08-20 10:08:33Z iulius $
##
##  All the actual installation work of any files in the samples directory
##  is done via the site directory, so that one can maintain one's news
##  configuration in the site directory and use make commands to update the
##  server automatically.  All this Makefile does is run fixconfig or
##  fixscript on a few files that need configure results (and remove them on
##  make clean).

include ../Makefile.global

top	      = ..

ALL           = buffindexed.conf inn.conf innreport.conf newsfeeds \
		nnrpd_auth.pl nnrpd_access.pl nnrpd_auth_wrapper.pl \
		nnrpd_access_wrapper.pl

all: $(ALL)

install:
bootstrap:

clean clobber distclean maintclean:
	rm -f $(ALL)

depend:

profiled: all

$(FIXCONFIG) $(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1


##  Build rules.

FIXC		= $(FIXCONFIG)
FIXS            = $(FIXSCRIPT)

buffindexed.conf:        buffindexed.conf.in        $(FIXC) ; $(FIXC) $@.in
inn.conf:                inn.conf.in                $(FIXC) ; $(FIXC) $@.in
innreport.conf:          innreport.conf.in          $(FIXC) ; $(FIXC) $@.in
newsfeeds:               newsfeeds.in               $(FIXC) ; $(FIXC) $@.in
nnrpd_auth.pl:           nnrpd_auth.pl.in           $(FIXS) ; $(FIXS) $@.in
nnrpd_access.pl:         nnrpd_access.pl.in         $(FIXS) ; $(FIXS) $@.in
nnrpd_auth_wrapper.pl:   nnrpd_auth_wrapper.pl.in   $(FIXS) ; $(FIXS) $@.in
nnrpd_access_wrapper.pl: nnrpd_access_wrapper.pl.in $(FIXS) ; $(FIXS) $@.in

=== debian/changelog ===
inn2 (2.5.3-3ubuntu1) trusty; urgency=medium

  * Pass "-s /bin/sh" to "su news" to cope with the change of the news
    user's shell in base-passwd 3.5.30.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jan 2014 06:05:10 +0000

inn2 (2.5.3-3build1) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:14:19 +0100

inn2 (2.5.3-3) unstable; urgency=low

  * Fixed the fix for #690128.

 -- Marco d'Itri <md@linux.it>  Mon, 08 Apr 2013 09:21:53 +0200

inn2 (2.5.3-2) unstable; urgency=low

  * Fixed the fix for #652733, which totally broke pgpverify.
    (Closes: #685007)
  * Handle upstream renaming of our conffile /etc/news/motd.news to
    non-conffile /etc/news/motd.nnrpd. If it has not been modified by
    the admin then just remove it. Patch courtesy of Nick Leverton.
    (Closes: #690128)

 -- Marco d'Itri <md@linux.it>  Sun, 07 Apr 2013 21:43:24 +0200

inn2 (2.5.3-1) unstable; urgency=low

  * New upstream release. Fixes:
    + stop sending mail to top1000.org. (Closes: #658438)
    + better check the permissions of the nnrpd TLS private key.
      (Closes: #632068)
  * Do not prefer gpgv2 if it is installed at build time. (Closes: #652733)
  * Added support for dpkg-buildflags and enhanced hardening.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Jun 2012 02:02:31 +0200

=== debian/control ===
Source: inn2
Section: news
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: bison, debhelper (>> 7), groff-base, libperl-dev (>= 5.8.0), libdb-dev, libkrb5-dev, libpam0g-dev, libsasl2-dev, libssl-dev (>= 0.9.7), zlib1g-dev
Standards-Version: 3.9.3.1

Package: inn2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cron, default-mta | mail-transport-agent, time, procps, perl, ${PERLAPI}, libmime-tools-perl
Pre-Depends: inn2-inews (>= 2.3.999+20030227-1)
Suggests: gnupg, wget, libgd-gd2-noxpm-perl | libgd-gd2-perl, ${shlibs:Suggests}
Replaces: inn, inewsinn, innfeed, ninpaths, inn2-dev
Provides: news-transport-system
Conflicts: inn2-lfs, cnews, inn, inewsinn, innfeed, ninpaths
Description: 'InterNetNews' news server
 This package provides INN 2.x, which is a very complex news server
 daemon useful for big sites. The 'inn' package still exists for smaller
 sites which do not need the complexity of INN 2.x.
 .
 The news transport is the part of the system that stores the articles
 and the lists of which groups are available and so on, and provides
 those articles on request to users. It receives news (either posted
 locally or from a newsfeed site), files it, and passes it on to any
 downstream sites. Each article is kept for a period of time and then
 deleted (this is known as 'expiry').
 .
 By default Debian's INN will install in a fairly simple 'local-only'
 configuration.
 .
 In order to make use of the services provided by INN you'll have to
 use a user-level newsreader program such as trn. The newsreader is
 the program that fetches articles from the server and shows them to
 the user, remembering which the user has seen so that they don't get
 shown again. It also provides the posting interface for the user.
Homepage: https://www.isc.org/software/inn

Package: inn2-lfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cron, default-mta | mail-transport-agent, time, procps, perl, ${PERLAPI}, libmime-tools-perl
Pre-Depends: inn2-inews (>= 2.3.999+20030227-1)
Suggests: gnupg, wget, libgd-gd2-noxpm-perl | libgd-gd2-perl, ${shlibs:Suggests}
Replaces: inn, inewsinn, innfeed, ninpaths, inn2-dev
Provides: news-transport-system, inn2
Conflicts: inn2, cnews, inn, inewsinn, innfeed, ninpaths
Description: 'InterNetNews' news server (LFS version)
 This package provides INN 2.x, which is a very complex news server
 daemon useful for big sites. The 'inn' package still exists for smaller
 sites which do not need the complexity of INN 2.x.
 .
 This version of the package is compiled with Large Files Support.
 .
 The news transport is the part of the system that stores the articles
 and the lists of which groups are available and so on, and provides
 those articles on request to users. It receives news (either posted
 locally or from a newsfeed site), files it, and passes it on to any
 downstream sites. Each article is kept for a period of time and then
 deleted (this is known as 'expiry').
 .
 By default Debian's INN will install in a fairly simple 'local-only'
 configuration.
 .
 In order to make use of the services provided by INN you'll have to
 use a user-level newsreader program such as trn. The newsreader is
 the program that fetches articles from the server and shows them to
 the user, remembering which the user has seen so that they don't get
 shown again. It also provides the posting interface for the user.
Homepage: https://www.isc.org/software/inn

Package: inn2-inews
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: inews
Conflicts: inewsinn, inn2 (<< 2.3.1), cnews
Replaces: inewsinn, inn2 (<< 2.3.1)
Description: NNTP client news injector, from InterNetNews (INN)
 'inews' is the program that newsreaders call when the user wishes to
 post an article; it does a few elementary checks and passes the article
 on to the news server for posting.
 .
 This version is the one from Rich Salz's InterNetNews news transport
 system (which is also available as a Debian package).

Package: inn2-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}
Conflicts: inn, inn-dev
Description: libinn.a library, headers and man pages
 You will only need this if you are going to compile programs that 
 require the functions in libinn.a.

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

D-std := $(CURDIR)/debian/inn2
D-lfs := $(CURDIR)/debian/inn2-lfs
D = $(D-$*)
B = $(CURDIR)/build-$*

##############################################################################
# this code deals with building a second inn2-lfs package from the same
# source, but only on 32 bit architectures
# Ideally new future 32 bit architectures should not bother with inn2-lfs
# and just enable LFS by default.

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS 2> /dev/null || true)
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),alpha arm hppa i386 mips mipsel powerpc s390 sparc))
# 32 bit std package (for backward compatibility) and 32 bit LFS lfs package
FLAVORS := std lfs
lfs_configure_flags = --enable-largefiles
else ifeq ($(DEB_HOST_ARCH_BITS),64)
# 64 bit std package
FLAVORS := std
else ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 ia64 ppc64 s390x))
# 64 bit std package (when DEB_HOST_ARCH_BITS is not supported)
FLAVORS := std
else
# 32 bit LFS std package
FLAVORS := std
std_configure_flags = --enable-largefiles
endif

std_dh_clean_opts = -pinn2 -pinn2-inews -p inn2-dev
lfs_dh_clean_opts = -pinn2-lfs
std_dh_movefiles_opts = -pinn2 -pinn2-inews -p inn2-dev
lfs_dh_movefiles_opts = -pinn2-lfs -pinn2-lfs-inews -p inn2-lfs-dev

ifeq ($(FLAVORS),std)
no_package := --no-package=inn2-lfs
endif

# the upstream source needs to be copied in the flavor-specific build dirs
src_files := $(shell find . -maxdepth 1 \
	-not -name . -and -not -name debian -and -not -name .pc \
	-and -not -name 'build-*' -and -not -name '.stamp-*')

##############################################################################
DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
-include /usr/share/dpkg/buildflags.mk

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  configure_flags += --build $(DEB_HOST_GNU_TYPE)
else
  configure_flags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

clean:
	rm -rf .stamp-* build-*
	[ ! -f Makefile.global ] || $(MAKE) distclean
	# delete packages which are not in control but are built anyway
	rm -rf debian/inn2-lfs-dev/ debian/inn2-lfs-inews/
	# delete generated files which have been changed by a patch to
	# their source to prevent them from appearing in the diff
	cd doc/man/ && rm -f control.ctl.5 inn.conf.5 nnrpd.8 rc-news.8 send-uucp.8 sendinpaths.8
	# delete the cloned debhelper configuration and logs
	find debian -maxdepth 1 -name 'inn2-lfs*' -not -type d -print0 \
		| xargs --no-run-if-empty -0 rm
	dh_clean

configure: $(addprefix .stamp-configure-, $(FLAVORS))
.stamp-configure-%:
	dh_testdir
	mkdir -p $B
	for dir in $(src_files); do cp -ldpR $$dir $B; done
	cd $B && \
	_PATH_PERL=/usr/bin/perl \
	ac_cv_path__PATH_AWK=awk \
	ac_cv_path__PATH_EGREP=egrep \
	ac_cv_path__PATH_SED=sed \
	ac_cv_path__PATH_SORT=sort \
	ac_cv_path__PATH_UUX=uux \
	ac_cv_path_GPGV=/usr/bin/gpgv \
	ac_cv_path_GETFTP=wget \
	ac_cv_search_dbm_open=-ldb \
	LDFLAGS="-Wl,--as-needed $(LDFLAGS)" \
	./configure \
		--with-perl \
		--with-openssl \
		--enable-ipv6 \
		--prefix=/usr/lib/news \
		--libdir=/usr/lib/news \
		--mandir=/usr/share/man \
		--sysconfdir=/etc/news \
		--includedir=/usr/include \
		--with-db-dir=/var/lib/news \
		--with-filter-dir=/etc/news/filter \
		--with-log-dir=/var/log/news \
		--with-run-dir=/var/run/news \
		--with-spool-dir=/var/spool/news \
		--with-tmp-dir=/var/spool/news/incoming/tmp \
		--with-http-dir=/var/www/inn \
		--with-libperl-dir=/usr/share/perl5 \
		--with-berkeleydb=/usr \
		--with-kerberos=/usr \
		--with-sasl=/usr \
		--with-sendmail=/usr/sbin/sendmail \
		--with-zlib=/usr \
		$($*_configure_flags) $(configure_flags)
	touch $@

build: build-arch build-indep
build-arch: $(addprefix .stamp-build-, $(FLAVORS))
build-indep: $(addprefix .stamp-build-, $(FLAVORS))
.stamp-build-%: .stamp-configure-%
	dh_testdir
	cd $B && $(MAKE)
	touch $@

install1-%: .stamp-build-%
	dh_testdir
	dh_testroot
	dh_prep $($*_dh_clean_opts)

	cd $B && $(MAKE) install DESTDIR=$D
	sh -e debian/dh_cloneconf inn2 inn2-lfs

	dh_movefiles $($*_dh_movefiles_opts) --sourcedir=$(subst $(CURDIR)/,,$D)

#	move back to the main package these man pages
	mv $D-dev/usr/share/man/man3/uwildmat.3 \
		$D-dev/usr/share/man/man3/INN::Config.3pm \
		$D/usr/share/man/man3/

#	remove assorted crap and
#	make sure we don't ship active, active.times, newsgroups in place!
	cd $D/etc/news/filter && rm -f *.py *.tcl
	rm -rf $D/usr/lib/news/bin/simpleftp $D/usr/share/man/man1/simpleftp.1\
		$D/usr/lib/news/doc/ $D/usr/include/ $D/etc/news/motd.* \
		$D/var/lib/news/* $D/var/run/news/ $D/var/www/

#	compatibility symlink for nnrpd-ssl which was removed in 2.5.2-1
	ln -s nnrpd $D/usr/lib/news/bin/nnrpd-ssl
	install -m 755 extra/buildinnkeyring extra/ginpaths2 \
		$D/usr/lib/news/bin/

	mkdir $D/var/log/news/path

install2: $(addprefix install1-, $(FLAVORS))
	dh_link
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installinit --noscripts --init-script=inn2
	dh_installcron
	dh_compress
	dh_fixperms -Xusr/lib/news/bin/innbind
	dh_strip

install3-%: install2
	# these files may contain passwords
	chown root:news $D-inews/etc/news/passwd.nntp $D/etc/news/incoming.conf $D/etc/news/innfeed.conf
	chmod 640 $D-inews/etc/news/passwd.nntp $D/etc/news/incoming.conf $D/etc/news/innfeed.conf

	perl -i -pe 's/^(pathhost:\s+).+/$${1}server.example.net/' \
		$D-inews/etc/news/inn.conf

	chmod -x $D/usr/lib/news/bin/control/*.pl $D/etc/news/*.local

	chmod u+w,o+r $D/usr/lib/news/bin/innbind
	chown news:uucp $D-inews/usr/lib/news/bin/rnews
	chmod 4755 $D-inews/usr/lib/news/bin/rnews

	chown -R news:news $D/var/spool/news/ $D/var/lib/news/ \
		$D/var/log/news/
	chmod -R g+w $D/var/spool/news/ $D/var/lib/news/ \
		$D/var/log/news/

install4-std: install3-std

install4-lfs: install3-lfs
	# lfs-specific: rename some files installed by debhelper
	for file in /etc/cron.d/inn2; do \
		mv $(D-lfs)$$file-lfs $(D-lfs)$$file; \
	done

install5: $(addprefix install4-, $(FLAVORS))
	dh_installdeb
	dh_md5sums
	dh_shlibdeps --exclude=/usr/lib/news/bin/auth/passwd/auth_krb5 -- \
		-dSuggests $(D-std)/usr/lib/news/bin/auth/passwd/auth_krb5 \
		 	   $(D-lfs)/usr/lib/news/bin/auth/passwd/auth_krb5 \
		-dDepends

	dh_gencontrol $(no_package) -- \
	    -VPERLAPI=$$(perl -MConfig -e 'printf("perlapi-%s", $$Config{debian_abi} || $$Config{version})')
	dh_builddeb $(no_package)

binary-arch: install5

binary-indep:

binary: binary-arch

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --rename --force-download --destdir $(CURDIR)

.PHONY: clean configure build binary-arch binary install%

=== debian/watch ===
version=3
opts=dversionmangle=s/r$// \
ftp://ftp.isc.org/isc/inn/inn-([\d\.]+)\.tar\.gz
